{"openapi":"3.0.0","info":{"title":"4-H Military Partnerships","version":"0.0.2","description":"## Success VS Error\n  - A status >= 200 AND < 300 is considered success\n    - All reponse body data is available in the root object\n  - A status < 200 OR > 300 is considered failed\n    - the message and status are available in the root object\n","contact":{"email":"alex@wendte.tech"}},"tags":[{"name":"Webinars"},{"name":"Partners"},{"name":"Liaisons"}],"paths":{"/webinars":{"get":{"tags":["Webinars"],"summary":"Returns all webinars","operationId":"getWebinars","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Webinar"}}}}},"5XX":{"description":"Unexpected error."}}},"post":{"tags":["Webinars"],"security":[{"cookie":[]}],"summary":"Creates a webinar","description":"**webinarId** does not need to be inlcuded and will be ignored\n","operationId":"createWebinar","responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webinar"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"5XX":{"description":"Unexpected error."}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webinar"}}},"required":true}},"put":{"tags":["Webinars"],"security":[{"cookie":[]}],"summary":"Updates a webinar","operationId":"updateWebinar","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webinar"}}}},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webinar"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"5XX":{"description":"Unexpected error."}}}},"/webinars/{webinarId}":{"get":{"tags":["Webinars"],"summary":"Returns a specified webinar","operationId":"getWebinar","parameters":[{"in":"path","name":"webinarId","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webinar"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"5XX":{"description":"Unexpected error."}}},"delete":{"tags":["Webinars"],"security":[{"cookie":[]}],"summary":"delete a webinar","operationId":"deleteWebinar","parameters":[{"in":"path","name":"webinarId","schema":{"type":"integer"},"required":true}],"responses":{"204":{"description":"The resource was deleted successfully."},"404":{"$ref":"#/components/responses/NotFound"},"5XX":{"description":"Unexpected error."}}}},"/liaisons":{"get":{"tags":["Liaisons"],"summary":"Returns all liaisons","operationId":"getLiaisons","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Liaison"}}}}},"5XX":{"description":"Unexpected error."}}},"post":{"tags":["Liaisons"],"security":[{"cookie":[]}],"summary":"Creates a liaison","description":"## Notes\n  **liaisonId** does not need to be inlcuded and will be ignored<br>\n  **abbreviation** must be unique\n","operationId":"createLiaison","responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Liaison"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"5XX":{"description":"Unexpected error."}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Liaison"}}},"required":true}},"put":{"tags":["Liaisons"],"security":[{"cookie":[]}],"summary":"Updates a liaison","description":"## Notes\n  **abbreviation** must be unique\n","operationId":"updateLiaison","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Liaison"}}}},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Liaison"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"5XX":{"description":"Unexpected error."}}}},"/liaisons/{liaisonId}":{"get":{"tags":["Liaisons"],"summary":"Returns a specified liaison","operationId":"getLiaison","parameters":[{"in":"path","name":"liaisonId","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Liaison"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"5XX":{"description":"Unexpected error."}}},"delete":{"tags":["Liaisons"],"security":[{"cookie":[]}],"summary":"delete a liaison","operationId":"deleteLiaison","parameters":[{"in":"path","name":"liaisonId","schema":{"type":"integer"},"required":true}],"responses":{"204":{"description":"The resource was deleted successfully."},"404":{"$ref":"#/components/responses/NotFound"},"5XX":{"description":"Unexpected error."}}}},"/partners":{"get":{"tags":["Partners"],"summary":"Returns all partner sections","operationId":"getPartnerSections","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PartnerSection"}}}},"links":{"GetByPartnerId":{"operationId":"getPartner","parameters":{"partnerId":"$response.body#/partnerId"},"description":"The `partnerId` value returned in the response can be used as the `partnerId` parameter in `GET /partners/{partnerId}`.\n"}}},"5XX":{"description":"Unexpected error."}}},"post":{"tags":["Partners"],"security":[{"cookie":[]}],"summary":"Creates a partner","description":"**partnerId** does not need to be inlcuded and will be ignored\n","operationId":"createPartner","responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"5XX":{"description":"Unexpected error."}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}},"required":true}},"put":{"tags":["Partners"],"security":[{"cookie":[]}],"summary":"Updates a partner","operationId":"updatePartner","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}}},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"5XX":{"description":"Unexpected error."}}}},"/partners/{partnerId}":{"get":{"tags":["Partners"],"summary":"Returns a specified partner","operationId":"getPartner","parameters":[{"in":"path","name":"partnerId","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"5XX":{"description":"Unexpected error."}}},"delete":{"tags":["Partners"],"security":[{"cookie":[]}],"summary":"delete a partner","operationId":"deletePartner","parameters":[{"in":"path","name":"partnerId","schema":{"type":"integer"},"required":true}],"responses":{"204":{"description":"The resource was deleted successfully."},"404":{"$ref":"#/components/responses/NotFound"},"5XX":{"description":"Unexpected error."}}}}},"servers":[{"url":"https://virtserver.swaggerhub.com/4Hmilitarypp/4-HMPP/0.0.1"},{"url":"http://virtserver.swaggerhub.com/4Hmilitarypp/4-HMPP/0.0.1"}],"components":{"schemas":{"AnnualReport":{"type":"object","properties":{"image":{"type":"string"},"title":{"type":"string"},"url":{"type":"string"}},"required":["image","title","url"]},"Image":{"type":"object","properties":{"alt":{"type":"string"},"url":{"type":"string"}},"required":["alt","url"]},"Liaison":{"type":"object","properties":{"abbreviation":{"type":"string"},"email":{"type":"string"},"image":{"type":"string"},"liaisonId":{"type":"integer"},"name":{"type":"string"},"phoneNumber":{"type":"string"},"region":{"type":"string"}},"required":["image","liaisonId","region"]},"Partner":{"type":"object","properties":{"annualReports":{"type":"array","items":{"$ref":"#/components/schemas/AnnualReport"}},"featuredImages":{"type":"array","items":{"$ref":"#/components/schemas/Image"}},"partnerId":{"type":"integer"},"longDescription":{"type":"string"},"shortDescription":{"type":"string"},"slug":{"type":"string"},"title":{"type":"string"},"videoReports":{"type":"array","items":{"$ref":"#/components/schemas/VideoReport"}}},"required":["featuredImages","partnerId","longDescription","shortDescription","slug","title"]},"PartnerSection":{"type":"object","properties":{"featuredImages":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/Image"},{"properties":{"id":{"type":"string"}}}]}},"partnerId":{"type":"integer"},"partnerSectionId":{"type":"integer"},"shortDescription":{"type":"string"},"slug":{"type":"string"},"title":{"type":"string"}},"required":["featuredImages","partnerId","partnerSectionId","shortDescription","slug","title"]},"VideoReport":{"type":"object","properties":{"image":{"type":"string"},"title":{"type":"string"},"url":{"type":"string"}},"required":["image","title","url"]},"Webinar":{"type":"object","properties":{"category":{"type":"string"},"description":{"type":"string"},"title":{"type":"string"},"url":{"type":"string"},"webinarId":{"type":"integer"}},"required":["category","description","title","url","webinarId"]},"Error":{"type":"object","properties":{"message":{"type":"string"}},"required":["status","message"]}},"responses":{"BadRequest":{"description":"Bad request. Object contains missing or invalid properties.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Authorization information is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Server":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"sid"}}}}